Flags API reference

Flags API · Settings

get/v1/workspaces/{workspace_id}/configs/{config_id}/environments/{environment_id}/valuesAuth

List values in an environment

Every setting of the config with its value and targeting in one environment (the flag list), in `ordinal` order. `include=states` adds each setting's compact state in every environment.

Path parameters

config_id*string · uuid

Id of the config.

environment_id*string · uuid

Id of an environment of the same project.

workspace_id*string · uuid

Id of the workspace.

Query parameters

cursorstring

Opaque cursor for pagination: the `next_cursor` of the previous page.

limitinteger

Page size.

includeenum (1)

`states` adds each setting's compact state in every environment of the project.

Response · 200 A page of settings with their values.

data*array

Settings of the config with their value in this environment, in `ordinal` order.

pagination*object

The cursor for the next page.

Example

Request

GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/configs/{config_id}/environments/{environment_id}/values
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "setting": {},
      "value": {},
      "states": {
        "development": {
          "value": true,
          "has_rules": false
        },
        "production": {
          "value": false,
          "has_rules": true
        }
      }
    }
  ],
  "pagination": {}
}